<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "rawmat.php";
$maindb = 'rawmat';

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `code` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `type` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `rate` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `code` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `type` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `rate` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `code`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `code`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `type`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `rate`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
//browse($cond);
//$query = "SELECT a.`name`, a.`code`, a.`cost`, a.`mrp`, a.`rawmatgrp`, b.`name` as rawmatgrpname, c.`name` as subgrpname FROM `rawmat` a JOIN `rawmatgrp` b 
//          ON a.`rawmatgrp` = b.`code` JOIN `itsubgrp` c ON a.`itsubgrp` = c.`code` $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$query = "SELECT `code`, `name`, `type`, `rate` FROM  $maindb WHERE code = srl $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));
//$tp = '';

if ($query["type"] == 'A') {
    $tp = 'Accesory';
} else if ($row["type"] == 'F') {
    $tp = 'Fabric';
} else {
    $tp = 'Other';
}
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'code' => $r["code"],
        'name' => $r["name"],
        'type' => $r["type"],
        'rate' => $r["rate"],
        'action' => "$file?mode=edit&code=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
